#!/bin/bash
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# update_theme.sh
#
# mise à jour des images et couleurs pour le thème de l'application web
#
###########################################################################

#procédure de mise à jour du thème de l'application web zephir
wpath=/usr/share/zephir/web
c_theme=$1

if [ "$c_theme" != "original" ]
then
	# remise en place des images de base
	/bin/cp -f $wpath/themes/original/images/*.* $wpath/images/
	/bin/cp -f $wpath/themes/original/agents/*.* /usr/share/zephir/monitor/static/img/
	/bin/cp -f $wpath/themes/original/agents/*.* /var/lib/zephir/sites/img/
fi
# images spécifiques au thème
/bin/cp -f $wpath/themes/$c_theme/images/*.* $wpath/images/
/bin/cp -f $wpath/themes/$c_theme/agents/*.* /usr/share/zephir/monitor/static/img/
/bin/cp -f $wpath/themes/$c_theme/agents/*.* /var/lib/zephir/sites/img/
# couleurs de l'application
/bin/cp -f $wpath/themes/$c_theme/colors.ini $wpath
# sauvegarde du nom de thème activé
/bin/echo "$c_theme" > $wpath/current_theme
